Package org.eclipse.rdf4j.query.parser.sparql

## Class ASTVisitorBase

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor
  - - org.eclipse.rdf4j.query.parser.sparql.ASTVisitorBase

- All Implemented Interfaces:
    `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`

      @Deprecated
      public abstract class ASTVisitorBase
      extends AbstractASTVisitor

  Deprecated.
  since 2.0. Use `AbstractASTVisitor` instead.
  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ASTVisitorBase()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTVisitorBase

          public ASTVisitorBase()

      Deprecated.